[arch-commits] Commit in openslp/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu Apr 16 02:19:06 EDT 2009


    Date: Thursday, April 16, 2009 @ 02:19:06
  Author: eric
Revision: 35720

upgpkg: openslp 1.2.1-2
    Added license, Added backup array, FHS docs

Modified:
  openslp/trunk/PKGBUILD

----------+
 PKGBUILD |   19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-16 06:15:41 UTC (rev 35719)
+++ PKGBUILD	2009-04-16 06:19:06 UTC (rev 35720)
@@ -2,21 +2,22 @@
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 pkgname=openslp
 pkgver=1.2.1
-pkgrel=1
+pkgrel=2
+pkgdesc="Open-source implementation of Service Location Protocol"
 arch=(i686 x86_64)
+url="http://www.openslp.org"
+license=('BSD')
 depends=('glibc' 'bash' 'openssl>=0.9.8b')
-pkgdesc="Open-source implementation of Service Location Protocol"
+backup=('etc/slp.conf' 'etc/slp.reg' 'etc/slp.spi')
 options=('!libtool')
 source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz rc.slpd)
-url="http://www.openslp.org"
 md5sums=('ff9999d1b44017281dd00ed2c4d32330' '4f6889a5944894b8be2c01404a9566d2')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
-
-  mkdir -p ${startdir}/pkg/etc/rc.d
-  install -m755 ${startdir}/src/rc.slpd ${startdir}/pkg/etc/rc.d/slpd
+  make DESTDIR=${pkgdir} DOC_DIR=/usr/share/doc/openslp-${pkgver} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+  install -D -m755 ../rc.slpd ${pkgdir}/etc/rc.d/slpd
 }



More information about the arch-commits mailing list